import { SizeName } from "../../constants/device-sizes.js";
import { Dictionary } from "../../types/typescript.js";
import { ColumnProps } from "./columns.types.js";
type CSSVal = string | number;
export declare const getWidth: (props: any, state: any, index: number) => any;
export declare const getColumnCssWidth: (props: any, state: any, index: number) => string;
export declare const getTabletStyle: (props: any, state: any, { stackedStyle, desktopStyle, }: {
    stackedStyle: CSSVal;
    desktopStyle: CSSVal;
}) => CSSVal;
export declare const getMobileStyle: (props: any, state: any, { stackedStyle, desktopStyle, }: {
    stackedStyle: CSSVal;
    desktopStyle: CSSVal;
}) => CSSVal;
export declare const columnCssVars: (props: any, state: any, index: number) => Dictionary<string>;
export declare const getWidthForBreakpointSize: (props: any, state: any, size: SizeName) => number;
export declare const Columns: import("@builder.io/qwik").Component<ColumnProps>;
export default Columns;
export declare const STYLES = "\n.div-Columns {\n  display: flex;\n  line-height: normal;\n}\n";
